<app-gift-card-types></app-gift-card-types>
<div class="progress" id="scrollToCardDetails">
    <div class="progress-bar" role="progressbar" style="width: 30%" aria-valuenow="25" aria-valuemin="0"
        aria-valuemax="100"></div>
</div>

<div class="card-main">
    <div class="row">
        <div class="col-md-6">
            <div class="cotainer">
                <div class="title">
                    Gift Card Details
                    <div class="title-help">
                        Card expires 1 year after purchase
                    </div>
                </div>
                <form [formGroup]="reactiveForm">
                    <div class="mb-3" *ngIf="shared.activateTemplate == 'corporate'">
                        <label for="amount" class="">Enter Company’s Name</label>
                        <input type="text" class="form-control" placeholder="Enter company’s name"
                            formControlName="company_name"
                            [class.is-invalid]="f.company_name.invalid && f.company_name.touched">
                    </div>
                    <div>
                        <label for="amount" class="">Enter Amount</label>
                        <div id="amounthelp" class="form-label form-text">Minimum amount is ₦ 1000.</div>
                        <div class="input-group mb-3" [class.is-invalid]="f.amount.invalid && f.amount.touched">
                            <span class="input-group-text">₦</span>
                            <input type="text" class="form-control" placeholder="1000" formControlName="amount"
                                IsDecimal>
                        </div>
                    </div>
                    <div class="mb-3" *ngIf="shared.activateTemplate == 'individual'">
                        <label for="amount" class="form-label">Select Type</label>
                        <search-multiselect-dropdown [config]="config" formControlName="type" [options]="options"
                            (change)="onChangeSelect($event)">
                        </search-multiselect-dropdown>
                        <app-error-messsages [form]="f.type"></app-error-messsages>
                        <!-- <select name="type" id="type" class="form-control" formControlName="type"
                            [class.is-invalid]="f.type.invalid && f.type.touched">
                            <option value="0">Single</option>
                            <option value="1">Multiple</option>
                        </select> -->

                    </div>
                    <div class="mb-3" *ngIf="shared.activateTemplate == 'individual' && f.type.value && f.type.value.id == 1">
                        <label for="amount" class="">Enter the number of Users</label>
                        <input type="text" class="form-control" placeholder="5"
                            formControlName="no_receivers" oninput="this.value = this.value.replace(/^0+/, '');"
                            [class.is-invalid]="f.no_receivers.invalid && f.no_receivers.touched" Integer>
                        <p class="nohelptext" *ngIf="f.no_receivers.value > 5">Kindly note that you’ll be required to download a template for more than 5 users</p>
                    </div>
                    <div class="d-grid">
                        <button type="button" class="btn btn-primary" (click)="save()">Continue</button>
                    </div>
                </form>
            </div>
        </div>
        <div class="col-md-6">
            <div class="container">
                <app-gift-card-image [amount]="f.amount.value"></app-gift-card-image>
            </div>
        </div>
    </div>
</div>